<template>
  <router-link
    @click="$emit('click')"
    :to="{ name: tool }"
    tag="div"
    class="tool-button"
  >
    <div class="bar" :class="{ selected: isCurrent }"></div>
    <div class="content">
      <div>
        <div class="name">
          {{ $t(`nav.${tool}`) }}
        </div>
        <div class="description">
          {{ $t(`toolDescription.${tool}`) }}
        </div>
      </div>
      <IconTool :tool="tool" :makePurple='isCurrent' :size='40' />
    </div>
  </router-link>
</template>

<script>
import IconTool from './IconTool'

export default {
  components: {
    IconTool
  },
  props: {
    tool: String
  },
  computed: {
    isCurrent () {
      return this.tool === this.$route.name
    }
  }
}
</script>

<style scoped lang="scss">
.tool-button {
  position: relative;
  cursor: pointer;
  user-select: none;
  color: var(--color-dark-text);
  border-radius: var(--border-radius-1);
  background-color: var(--color-white);
  text-decoration: none;
  display: grid;
  grid-auto-flow: column;
}

.bar {
  height: 100%;
  width: var(--spacing-1);
  background-color: var(--color-white);
  border-radius: var(--border-radius-1) 0 0 var(--border-radius-1);
}

.bar.selected {
  background-color: var(--color-primary);
}

.content {
  display: grid;
  grid-auto-flow: column;
  grid-column-gap: var(--spacing-4);
  align-items: center;
  margin: var(--spacing-4);
  margin-left: var(--spacing-3);
}

.name {
  font-size: var(--fs-4);
  font-weight: bold;
}
</style>
